### Class

# Meta Backlight

#### Description

    abstract class Meta.Backlight : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### meta_backlight_get_brightness

Returns the brightness target of the backlight. The target is a value between the minimum and maximum brightness of the backlight.

###### meta_backlight_get_brightness_info

Returns the minimum and maximum supported brightness of the monitor.

###### meta_backlight_set_brightness

Sets the brightness target of the backlight. The target is a value between the minimum and maximum brightness of the backlight.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Meta.Backlight:backend

No description available.

###### Meta.Backlight:brightness

No description available.

###### Meta.Backlight:brightness-max

No description available.

###### Meta.Backlight:brightness-min

No description available.

###### Meta.Backlight:name

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaBacklightClass {
      /* no available fields */
    }

No description available.